// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reclosermodule/reclosermodule.proto

package openfmb.reclosermodule;

public interface RecloserDiscreteControlOrBuilder extends
    // @@protoc_insertion_point(interface_extends:reclosermodule.RecloserDiscreteControl)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the controlValue field is set.
   */
  boolean hasControlValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The controlValue.
   */
  openfmb.commonmodule.ControlValue getControlValue();
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.ControlValue controlValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  openfmb.commonmodule.ControlValueOrBuilder getControlValueOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   * @return Whether the check field is set.
   */
  boolean hasCheck();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   * @return The check.
   */
  openfmb.commonmodule.CheckConditions getCheck();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.CheckConditions check = 2;</code>
   */
  openfmb.commonmodule.CheckConditionsOrBuilder getCheckOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reclosermodule.RecloserDiscreteControlXCBR recloserDiscreteControlXCBR = 3;</code>
   * @return Whether the recloserDiscreteControlXCBR field is set.
   */
  boolean hasRecloserDiscreteControlXCBR();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reclosermodule.RecloserDiscreteControlXCBR recloserDiscreteControlXCBR = 3;</code>
   * @return The recloserDiscreteControlXCBR.
   */
  openfmb.reclosermodule.RecloserDiscreteControlXCBR getRecloserDiscreteControlXCBR();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reclosermodule.RecloserDiscreteControlXCBR recloserDiscreteControlXCBR = 3;</code>
   */
  openfmb.reclosermodule.RecloserDiscreteControlXCBROrBuilder getRecloserDiscreteControlXCBROrBuilder();
}
